Subject: bug#15385: [Eshell] Directory completion overwrites preceding characters

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 04:40:23 +0100

Joost Kremers <[email-masked]> writes:

> Starting from `emacs -Q', if I do
>
>    (setq eshell-cmpl-ignore-case t)
>
> and then start up a shell, TAB completion behaves incorrectly under some
> conditions.
>
> Specifically, I type a command such as:
>
>     $ cp ~/Dropbox/Work/Reading/Wilbur_Martinez2002.pdf ~/Dro
>
> At this point, I hit TAB to complete `~/Dro' and get:
>
>     $ cp ~/Dropbox/Work/Reading/Wilbur_Martine/home/joost/Dropbox/

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I tried to reproduce this (now with that exact path, but something
similar) in Emacs 29, and I was unable to -- it completed to the
expected path.

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no